## protobuf 3.6.1

=== debian/changelog ===
protobuf (3.6.1-4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Thu, 25 Oct 2018 11:27:54 +0530

protobuf (3.6.1-4) unstable; urgency=medium

  * Note that -dev package contains common proto files (closes: #842159).
  * Allow Java warnings on stderr during autopkgtest.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 23 Oct 2018 14:33:32 +0000

protobuf (3.6.1-3) unstable; urgency=medium

  * Generate all Java source files (closes: #911404).
  * Make package linux-only (closes: #837310).
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 20 Oct 2018 19:13:40 +0000

protobuf (3.6.1-2) unstable; urgency=medium

  * Fix linking with recent Google's C++ test framework.
  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 Oct 2018 15:15:45 +0000

protobuf (3.6.1-1) experimental; urgency=medium

  * New upstream release.
  * Builds with OpenJDK 10 (closes: #901518).
  * Library transition from libproto*16 to libproto*17 .
  * Extend Python 3.7 FTBFS fix.
  * Update Standards-Version to 4.1.5 .

  [ Michael Hudson-Doyle <michael.hudson@canonical.com> ]
  * Backport patch to fix FTBFS with Python 3.7 (closes: #902597).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 14 Aug 2018 18:22:07 +0000

protobuf (3.6.0.1-1) experimental; urgency=medium

  * New major upstream release.
  * Link with atomic on m68k, powerpcspe and sh4 architectures as well.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 11 Jun 2018 14:56:51 +0000

protobuf (3.6.0~rc2-2) experimental; urgency=medium

  * Build all Ruby files (closes: #900677).
  * Explicitly link with atomic on armel, mips, mipsel and powerpc
    architectures.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Jun 2018 15:52:16 +0000

protobuf (3.6.0~rc2-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Make Ruby build dependencies architecture dependent.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 01 Jun 2018 13:00:39 +0000

protobuf (3.6.0~rc1-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Library transition from libproto*15 to libproto*16 .
  * Add ruby-google-protobuf package (closes: #855034).
  * Update patches.
  * Use packaged Google Test and Google Mock libraries.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 29 May 2018 22:00:11 +0000

protobuf (3.5.2-2) experimental; urgency=medium

  * Backport build fix for s390x architecture.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 27 Apr 2018 14:39:06 +0000

protobuf (3.5.2-1) experimental; urgency=medium

  * New upstream release (closes: #874498).
  * Library transition from libproto*10 to libproto*15 .
  * Make protobuf-compiler recommend libprotobuf-dev for basic upstream types
    (closes: #842158).
  * Take over maintainer responsibility.
  * Disable Vcs-* fields for now.
  * Update debhelper level to 11:
    - don't specify parallel to debhelper.
  * Update Standards-Version to 4.1.4 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 25 Apr 2018 21:29:01 +0000
