=== debian/changelog ===
protobuf (3.6.1.3-2ubuntu5) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 26 Feb 2020 17:10:58 +0000

protobuf (3.6.1.3-2ubuntu4) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:44:52 +0100

protobuf (3.6.1.3-2ubuntu3) focal; urgency=medium

  * Use python2 in the autopkg test.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2020 17:35:53 +0100

protobuf (3.6.1.3-2ubuntu2) focal; urgency=medium

  * Use python2 instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2020 17:04:47 +0100

protobuf (3.6.1.3-2ubuntu1) focal; urgency=medium

  * Build with -Wno-error=array-bounds to work around ftbfs on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:09:04 +0000

protobuf (3.6.1.3-2) unstable; urgency=medium

  * Prevent installation of non-working combination of libarcus3 and
    cura-engine (closes: #910964).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 16 Apr 2019 22:12:03 +0000

protobuf (3.6.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Mark libprotobuf-java Multi-Arch foreign.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 09 Dec 2018 12:45:11 +0000

protobuf (3.6.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove Python 3.7 patches as applied upstream.

  [ Michael Vogt <michael.vogt@ubuntu.com> ]
  * Remove explicit #!/usr/bin/python2.4 usage (closes: #600261).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 08 Dec 2018 16:13:58 +0000

protobuf (3.6.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 26 Nov 2018 23:23:31 +0000
