=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: protobuf
 Section: devel
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
 # Debian build system
  , debhelper (>= 11)
@@ -35,7 +36,7 @@
 Homepage: https://github.com/google/protobuf/
 #Vcs-Browser: https://anonscm.debian.org/cgit/pkg-protobuf/pkg-protobuf.git
 #Vcs-Git: https://anonscm.debian.org/git/pkg-protobuf/pkg-protobuf.git
-X-Python-Version: >= 2.7
+#X-Python-Version: >= 2.7
 XS-Ruby-Versions: all
 
 Package: ruby-google-protobuf
@@ -66,6 +67,7 @@
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libarcus3 (<< 3.3.0-2), cura-engine (<< 1:3.3.0-2.1+b1)
 Description: protocol buffers C++ library
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -233,6 +235,7 @@
 
 Package: libprotobuf-java
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Section: java
 Description: Java bindings for protocol buffers
