=== debian/tests/control ===
Tests: simple
Depends: @, make, python2, pkg-config, zlib1g-dev, build-essential, default-jdk
Restrictions: allow-stderr
