=== debian/watch ===
version=4
opts=uversionmangle=s/-?(beta)-?/~$1/;s/-?(alpha)-?/~$1/;s/-?(rc)-?/~rc/ \
https://github.com/google/protobuf/releases \
.*[^n]/(?:|v|version-|version|release-|r|REL_|rel-|protobuf(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
