## protobuf 3.12.3

=== debian/changelog ===
protobuf (3.12.3-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 26 Mar 2021 13:53:26 -0400

protobuf (3.12.3-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Lower debhelper-compat to 11 for dwz compatibility

 -- Pirate Praveen <praveen@debian.org>  Thu, 30 Jul 2020 09:17:15 +0000

protobuf (3.12.3-2) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 08 Jul 2020 00:47:38 +0200

protobuf (3.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 06 Jun 2020 07:37:57 +0200

protobuf (3.12.2-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 27 May 2020 07:01:59 +0200

protobuf (3.12.0-1) experimental; urgency=medium

  * New major upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 17 May 2020 19:09:58 +0200

protobuf (3.12.0~rc1-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Update patches.
  * Library transition from libproto*22 to libproto*23 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 09 May 2020 18:45:17 +0000

protobuf (3.11.4-5) unstable; urgency=medium

  [ Olek Wojnar <olek@debian.org> ]
  * Allow building of protobuf-java-util (closes: #958444).
  * Add no_errorprone.patch since dependency not available in Debian.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 05 May 2020 17:43:12 +0000

protobuf (3.11.4-4) unstable; urgency=medium

  * Update Python version for self-tests (closes: #937327).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 10 Apr 2020 08:56:22 +0000

protobuf (3.11.4-3) unstable; urgency=medium

  * Python3ify examples.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 24 Mar 2020 18:20:00 +0000

protobuf (3.11.4-2) unstable; urgency=medium

  * Upload to Sid (closes: #934665).

  [ Jan Kriho <erbureth@gmail.com> ]
  * Break different protobuf-compiler versions in libprotobuf-dev
    (closes: #931836).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Mar 2020 13:44:22 +0000

protobuf (3.11.4-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 16 Feb 2020 07:39:54 +0000

protobuf (3.11.3-1) experimental; urgency=medium

  * New upstream release.
  * Split protobuf-mode.el into a separate package (closes: #601600).
  * Update debhelper level to 12 .
  * Update Standards-Version to 4.5.0 .


 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 06 Feb 2020 17:37:12 +0000

protobuf (3.11.2-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 20 Dec 2019 08:03:17 +0000

protobuf (3.11.1-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 06 Dec 2019 16:38:45 +0000

protobuf (3.11.0-1) experimental; urgency=medium

  * New major upstream release.
  * Library transition from libproto*21 to libproto*22 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 28 Nov 2019 16:30:21 +0000

protobuf (3.10.1-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 31 Oct 2019 14:14:51 +0000

protobuf (3.10.0-1) experimental; urgency=medium

  * New major upstream release.
  * Remove extra commas from Build-Depends{,-Indep} (closes: #935499).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 08 Oct 2019 21:03:15 +0000

protobuf (3.10.0~rc1-2) experimental; urgency=medium

  * Still fix FTBFS with self-test of Python 2 bindings.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 12 Sep 2019 17:01:12 +0000

protobuf (3.10.0~rc1-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Library transition from libproto*20 to libproto*21 .
  * Remove python-protobuf package (closes: #937327).
  * Update Python packaging bits.
  * Update copyright file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 09 Sep 2019 15:42:05 +0000

protobuf (3.9.1-2) experimental; urgency=medium

  * Fix FTBFS with self-test of Python 2 bindings.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 09 Aug 2019 14:13:49 +0000

protobuf (3.9.1-1) experimental; urgency=medium

  * New major upstream release (closes: #933795).
  * Update Java build.
  * Make packages architecture: any again (closes: #923197).
  * Library transition from libproto*17 to libproto*20 .
  * Fix self-testing with Googletest <= 1.8.1 version.
  * Update Standards-Version to 4.4.0 .

  [ Laurence Parry <greenreaper@gmail.com> ]
  * Fix FTBFS on x32 due to versioned glibc symbols (closes: #931503).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 06 Aug 2019 16:36:47 +0000
