=== debian/control ===
--- 
+++ 
@@ -1,23 +1,20 @@
 Source: protobuf
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+# XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
 # Debian build system
- , debhelper (>= 11)
+   debhelper-compat (= 11)
+ , dh-elpa
 # C/C++
  , zlib1g-dev
  , libgmock-dev
  , libgtest-dev
 # Python
  , dh-python
- , python-all:any
- , libpython-all-dev
  , python3-all:any
  , libpython3-all-dev
- , python-setuptools
- , python-six
  , python3-setuptools
  , python3-six
 # Manpage generator
@@ -29,10 +26,12 @@
  , gem2deb
 Build-Depends-Indep:
 # Java
- , ant
+   ant
  , default-jdk
  , maven-repo-helper
-Standards-Version: 4.2.1
+ , libguava-java
+ , libgoogle-gson-java
+Standards-Version: 4.5.0
 Homepage: https://github.com/google/protobuf/
 #Vcs-Browser: https://anonscm.debian.org/cgit/pkg-protobuf/pkg-protobuf.git
 #Vcs-Git: https://anonscm.debian.org/git/pkg-protobuf/pkg-protobuf.git
@@ -40,7 +39,7 @@
 XS-Ruby-Versions: all
 
 Package: ruby-google-protobuf
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Section: ruby
 X-DhRuby-Root: ruby
@@ -62,8 +61,8 @@
  build process in this directory only installs the extension; you need to
  install protoc as well to have Ruby code generation functionality.
 
-Package: libprotobuf17
-Architecture: linux-any
+Package: libprotobuf23
+Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -82,8 +81,8 @@
  .
  This package contains the runtime library needed for C++ applications.
 
-Package: libprotobuf-lite17
-Architecture: linux-any
+Package: libprotobuf-lite23
+Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -103,11 +102,12 @@
  message definitions have the "lite runtime" optimization setting.
 
 Package: libprotobuf-dev
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, zlib1g-dev,
- libprotobuf17 (= ${binary:Version}), libprotobuf-lite17 (= ${binary:Version})
+ libprotobuf23 (= ${binary:Version}), libprotobuf-lite23 (= ${binary:Version})
+Breaks: protobuf-compiler (<< ${binary:Version}), protobuf-compiler (>> ${binary:Version})
 Description: protocol buffers C++ library (development files) and proto files
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -123,8 +123,8 @@
  This package contains the development headers and static libraries needed for
  writing C++ applications. Includes well known proto type files.
 
-Package: libprotoc17
-Architecture: linux-any
+Package: libprotoc23
+Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -144,11 +144,11 @@
  compiler.
 
 Package: libprotoc-dev
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
- libprotoc17 (= ${binary:Version}), libprotobuf-dev (= ${binary:Version})
+ libprotoc23 (= ${binary:Version}), libprotobuf-dev (= ${binary:Version})
 Replaces: libprotobuf-dev (<< 2.1.0)
 Breaks: libprotobuf-dev (<< 2.1.0)
 Description: protocol buffers compiler library (development files)
@@ -167,10 +167,11 @@
  writing protobuf compilers.
 
 Package: protobuf-compiler
-Architecture: linux-any
+Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, libprotoc17 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libprotoc23 (= ${binary:Version})
 Recommends: libprotobuf-dev
+Suggests: protobuf-mode-el
 Description: compiler for protocol buffer definition files
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -187,35 +188,10 @@
  translating from .proto files (containing the definitions) to the language
  binding for the supported languages.
 
-Package: python-protobuf
-Architecture: linux-any
-Section: python
-Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Description: Python bindings for protocol buffers
- Protocol buffers are a flexible, efficient, automated mechanism for
- serializing structured data - similar to XML, but smaller, faster, and
- simpler. You define how you want your data to be structured once, then you can
- use special generated source code to easily write and read your structured
- data to and from a variety of data streams and using a variety of languages.
- You can even update your data structure without breaking deployed programs
- that are compiled against the "old" format.
- .
- Google uses Protocol Buffers for almost all of its internal RPC protocols and
- file formats.
- .
- This package contains the Python bindings for the protocol buffers. You will
- need the protoc tool (in the protobuf-compiler package) to compile your
- definition to Python classes, and then the modules in this package will allow
- you to use those classes in your programs.
-
 Package: python3-protobuf
-Architecture: linux-any
+Architecture: any
 Section: python
 Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
-Provides: ${python3:Provides}
-XB-Python-Version: ${python3:Versions}
 Description: Python 3 bindings for protocol buffers
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -254,3 +230,22 @@
  need the protoc tool (in the protobuf-compiler package) to compile your
  definition to Java classes, and then the modules in this package will allow
  you to use those classes in your programs.
+
+Package: elpa-protobuf-mode
+Architecture: all
+Depends: ${misc:Depends}, ${elpa:Depends}
+Section: editors
+Description: Emacs addon for editing protocol buffers
+ Protocol buffers are a flexible, efficient, automated mechanism for
+ serializing structured data - similar to XML, but smaller, faster, and
+ simpler. You define how you want your data to be structured once, then you can
+ use special generated source code to easily write and read your structured
+ data to and from a variety of data streams and using a variety of languages.
+ You can even update your data structure without breaking deployed programs
+ that are compiled against the "old" format.
+ .
+ Google uses Protocol Buffers for almost all of its internal RPC protocols and
+ file formats.
+ .
+ This package provides an emacs major mode for editing files in protocol
+ buffers format. It features syntax highlighting and auto-indentation.
